xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Safe Haskell | None

XMonad.Layout.DraggingVisualizer

Description

A helper module to visualize the process of dragging a window by making it follow the mouse cursor. See XMonad.Layout.WindowSwitcherDecoration for a module that makes use of this.

# Documentation

draggingVisualizer :: LayoutClass l Window => l Window -> ModifiedLayout DraggingVisualizer l Window

data DraggingVisualizerMsg

Constructors

DraggingWindow Window Rectangle |
DraggingStopped |

Instances

Eq DraggingVisualizerMsg |
Typeable DraggingVisualizerMsg |
Message DraggingVisualizerMsg |

data DraggingVisualizer a

Instances

LayoutModifier DraggingVisualizer Window |
Read (DraggingVisualizer a) |
Show (DraggingVisualizer a) |